Skip to main content
GET
Check Job Status
Returns the current status and progress of a scraping job.

Path Parameters

Example Request

Response (200 OK)

Response Fields

Job Status Values

Error Responses

Polling Pattern

Authorizations

Authorization
string
header
required

API key in format 'sk-xxxxxxxxxxxxx' or 'sk_xxxxxxxxxxxxx'

Path Parameters

job_id
string
required

Unique job identifier

Pattern: ^job_[a-z0-9]+$

Response

Job status information

job_id
string

Job identifier

Pattern: ^job_[a-z0-9]+$
status
enum<string>

Current status of the job

Available options:
pending,
in_progress,
completed,
failed,
cancelled
message
string

Human-readable status message

progress
number | null

Progress percentage (0-100) when available

Required range: 0 <= x <= 100
created_at
string<date-time>

ISO 8601 job creation timestamp

started_at
string<date-time> | null

ISO 8601 job start timestamp

completed_at
string<date-time> | null

ISO 8601 job completion timestamp

estimated_completion
string<date-time> | null

ISO 8601 estimated completion time

current_agent
string | null

Currently active processing agent

agents_completed
string[]

List of completed processing steps

total_pages_crawled
integer

Number of pages processed

total_documents_found
integer

Number of documents discovered

is_active
boolean

Whether the job is currently running

has_errors
boolean

Whether any errors occurred

errors
object[]

List of error objects (if any)

warnings
string[]

List of warning messages (if any)